/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_OPERLESTOQ                                               */
/* Tabela : OPERLESTOQ                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Ronaldo Amaral Costa                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_OPERLESTOQ' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_OPERLESTOQ
GO

CREATE TRIGGER DTULTATU_OPERLESTOQ
ON OPERLESTOQ
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'OPERLESTOQ', CDFILIAL, 'CDFILIAL='+ CDFILIAL+ ';'+
                                      'CDOPERADOR='+ CDOPERADOR+ ';' +'CDALMOXARIFE='+ CDALMOXARIFE+ ';'+
                                      'CDLOCALESTOQ='+ CDLOCALESTOQ +';',
                                      GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE OPERLESTOQ
      SET DTULTATUOPLE = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(OPERLESTOQ.CDOPERADOR,0)   = ISNULL(INSERTED.CDOPERADOR,0)) AND
            (ISNULL(OPERLESTOQ.CDLOCALESTOQ,0) = ISNULL(INSERTED.CDLOCALESTOQ,0)) AND
            (ISNULL(OPERLESTOQ.CDFILIAL,0)     = ISNULL(INSERTED.CDFILIAL,0)) AND
            (ISNULL(OPERLESTOQ.CDALMOXARIFE,0) = ISNULL(INSERTED.CDALMOXARIFE,0));

   END;
END;
GO


